Index: code/branches/pickup/src/external/bullet/BulletCollision/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/bullet/BulletCollision/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/bullet/BulletCollision/CMakeLists.txt	(revision 5935)
@@ -1,3 +1,6 @@
 ADD_SOURCE_FILES(BULLET_FILES
+
+COMPILATION_BEGIN BulletCollisionCompilation.cpp
+
 	BroadphaseCollision/btAxisSweep3.cpp
 	BroadphaseCollision/btBroadphaseProxy.cpp
@@ -68,13 +71,9 @@
 	Gimpact/btContactProcessing.cpp
 	Gimpact/btGImpactShape.cpp
-	Gimpact/gim_contact.cpp
 	Gimpact/btGImpactBvh.cpp
 	Gimpact/btGenericPoolAllocator.cpp
-	Gimpact/gim_memory.cpp
 	Gimpact/btGImpactCollisionAlgorithm.cpp
 	Gimpact/btTriangleShapeEx.cpp
-	Gimpact/gim_tri_collision.cpp
 	Gimpact/btGImpactQuantizedBvh.cpp
-	Gimpact/gim_box_set.cpp
 
 	NarrowPhaseCollision/btContinuousConvexCollision.cpp
@@ -89,4 +88,13 @@
 	NarrowPhaseCollision/btSubSimplexConvexCast.cpp
 	NarrowPhaseCollision/btVoronoiSimplexSolver.cpp
+
+COMPILATION_END
+
+COMPILATION_BEGIN BulletGImpactCompilation.cpp
+	Gimpact/gim_contact.cpp
+	Gimpact/gim_memory.cpp
+	Gimpact/gim_tri_collision.cpp
+	Gimpact/gim_box_set.cpp
+COMPILATION_END
 
 	# Headers
Index: code/branches/pickup/src/external/bullet/BulletDynamics/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/bullet/BulletDynamics/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/bullet/BulletDynamics/CMakeLists.txt	(revision 5935)
@@ -1,3 +1,6 @@
 ADD_SOURCE_FILES(BULLET_FILES
+
+COMPILATION_BEGIN BulletDynamicsCompilation.cpp
+
 	ConstraintSolver/btContactConstraint.cpp
 	ConstraintSolver/btConeTwistConstraint.cpp
@@ -19,4 +22,6 @@
 
 	Character/btKinematicCharacterController.cpp
+
+COMPILATION_END
 
 	# Headers
Index: code/branches/pickup/src/external/bullet/BulletPrecompiledHeaders.h
===================================================================
--- code/branches/pickup/src/external/bullet/BulletPrecompiledHeaders.h	(revision 5815)
+++ 	(revision )
@@ -1,48 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-@file
-@brief
-    Compilation of the most often used header files in the external bullet library
-@details
-    Updated: 19. September 2009
-    Total Files: 105
-*/
-
-///////////////////////////////////////////
-/////          Stable Headers         /////
-///////////////////////////////////////////
-
-#include <bullet/BulletCollision/CollisionShapes/btConvexInternalShape.h> // 37
-#include <bullet/BulletCollision/CollisionDispatch/btCollisionObject.h> // 33
-
-
-// Just in case some header included windows.h
-#undef min
-#undef max
Index: code/branches/pickup/src/external/bullet/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/bullet/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/bullet/CMakeLists.txt	(revision 5935)
@@ -27,13 +27,7 @@
 ADD_SUBDIRECTORY(LinearMath)
 
-# No warnings needed from third party libraries
-REMOVE_COMPILER_FLAGS("-W3 -W4" MSVC)
-ADD_COMPILER_FLAGS("-w")
-
 ORXONOX_ADD_LIBRARY(bullet_orxonox
   ORXONOX_EXTERNAL
   NO_DLL_INTERFACE
-  PCH_FILE
-    BulletPrecompiledHeaders.h
   VERSION
     2.74
Index: code/branches/pickup/src/external/bullet/LinearMath/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/bullet/LinearMath/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/bullet/LinearMath/CMakeLists.txt	(revision 5935)
@@ -1,7 +1,10 @@
 ADD_SOURCE_FILES(BULLET_FILES
+
+COMPILATION_BEGIN BulletLinearMathCompilation.cpp
 		btConvexHull.cpp
 		btQuickprof.cpp
 		btGeometryUtil.cpp
 		btAlignedAllocator.cpp
+COMPILATION_END
 
 		# Headers
Index: code/branches/pickup/src/external/ceguilua/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/ceguilua/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/ceguilua/CMakeLists.txt	(revision 5935)
@@ -67,8 +67,4 @@
 )
 
-# No warnings needed from third party libraries
-REMOVE_COMPILER_FLAGS("-W3 -W4" MSVC)
-ADD_COMPILER_FLAGS("-w")
-
 SOURCE_GROUP("Source" FILES ${CEGUILUA_FILES})
 
Index: code/branches/pickup/src/external/cpptcl/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/cpptcl/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/cpptcl/CMakeLists.txt	(revision 5935)
@@ -32,8 +32,4 @@
 )
 
-# No warnings needed from third party libraries
-REMOVE_COMPILER_FLAGS("-W3 -W4" MSVC)
-ADD_COMPILER_FLAGS("-w")
-
 ORXONOX_ADD_LIBRARY(cpptcl_orxonox
   ORXONOX_EXTERNAL
Index: code/branches/pickup/src/external/ogreceguirenderer/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/ogreceguirenderer/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/ogreceguirenderer/CMakeLists.txt	(revision 5935)
@@ -18,17 +18,15 @@
  #
 
-SET(OCR_FILES
+SET_SOURCE_FILES(OCR_FILES
   OgreCEGUIRenderer.h
   OgreCEGUIResourceProvider.h
   OgreCEGUITexture.h
 
+COMPILATION_BEGIN OgreCEGUIRendererCompilation.cpp
   OgreCEGUIRenderer.cpp
   OgreCEGUIResourceProvider.cpp
   OgreCEGUITexture.cpp
+COMPILATION_END
 )
-
-# No warnings needed from third party libraries
-REMOVE_COMPILER_FLAGS("-W3 -W4" MSVC)
-ADD_COMPILER_FLAGS("-w")
 
 ORXONOX_ADD_LIBRARY(ogreceguirenderer_orxonox
Index: code/branches/pickup/src/external/ois/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/ois/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/ois/CMakeLists.txt	(revision 5935)
@@ -34,4 +34,5 @@
   OISPrereqs.h
 
+COMPILATION_BEGIN OISCompilation.cpp
   OISEffect.cpp
   OISException.cpp
@@ -41,4 +42,5 @@
   OISKeyboard.cpp
   OISObject.cpp
+COMPILATION_END
 )
 IF(WIN32)
@@ -49,8 +51,4 @@
   ADD_SUBDIRECTORY(linux)
 ENDIF()
-
-# No warnings needed from third party libraries
-REMOVE_COMPILER_FLAGS("-W3 -W4" MSVC)
-ADD_COMPILER_FLAGS("-w")
 
 INCLUDE_DIRECTORIES(.)
Index: code/branches/pickup/src/external/ois/changes_orxonox.diff
===================================================================
--- code/branches/pickup/src/external/ois/changes_orxonox.diff	(revision 5815)
+++ code/branches/pickup/src/external/ois/changes_orxonox.diff	(revision 5935)
@@ -23,2 +23,13 @@
  
 
+--- win32/Win32ForceFeedback.cpp
++++ win32/Win32ForceFeedback.cpp
+@@ -25,7 +25,7 @@
+ #include <Math.h>
+ 
+ // 0 = No trace; 1 = Important traces; 2 = Debug traces
+-#define OIS_WIN32_JOYFF_DEBUG 1
++#define OIS_WIN32_JOYFF_DEBUG 0
+ 
+ #if (defined (_DEBUG) || defined(OIS_WIN32_JOYFF_DEBUG))
+   #include <iostream>
Index: code/branches/pickup/src/external/ois/linux/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/ois/linux/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/ois/linux/CMakeLists.txt	(revision 5935)
@@ -8,4 +8,5 @@
   LinuxPrereqs.h
 
+COMPILATION_BEGIN OISLinuxCompilation.cpp
   EventHelpers.cpp
   LinuxForceFeedback.cpp
@@ -14,3 +15,4 @@
   LinuxKeyboard.cpp
   LinuxMouse.cpp
+COMPILATION_END
 )
Index: code/branches/pickup/src/external/ois/mac/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/ois/mac/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/ois/mac/CMakeLists.txt	(revision 5935)
@@ -7,4 +7,5 @@
   MacPrereqs.h
 
+COMPILATION_BEGIN OISMacCompilation.cpp
   MacHelpers.cpp
   MacHIDManager.cpp
@@ -12,3 +13,4 @@
   MacKeyboard.cpp
   MacMouse.cpp
+COMPILATION_END
 )
Index: code/branches/pickup/src/external/ois/win32/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/ois/win32/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/ois/win32/CMakeLists.txt	(revision 5935)
@@ -7,4 +7,5 @@
   Win32Prereqs.h
 
+COMPILATION_BEGIN OISWin32Compilation.cpp
   Win32ForceFeedback.cpp
   Win32InputManager.cpp
@@ -12,3 +13,4 @@
   Win32KeyBoard.cpp
   Win32Mouse.cpp
+COMPILATION_END
 )
Index: code/branches/pickup/src/external/ois/win32/Win32ForceFeedback.cpp
===================================================================
--- code/branches/pickup/src/external/ois/win32/Win32ForceFeedback.cpp	(revision 5815)
+++ code/branches/pickup/src/external/ois/win32/Win32ForceFeedback.cpp	(revision 5935)
@@ -26,5 +26,5 @@
 
 // 0 = No trace; 1 = Important traces; 2 = Debug traces
-#define OIS_WIN32_JOYFF_DEBUG 1
+#define OIS_WIN32_JOYFF_DEBUG 0
 
 #if (defined (_DEBUG) || defined(OIS_WIN32_JOYFF_DEBUG))
Index: code/branches/pickup/src/external/tinyxml/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/tinyxml/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/tinyxml/CMakeLists.txt	(revision 5935)
@@ -18,5 +18,5 @@
  #
 
-SET(TINYXML++_FILES
+SET_SOURCE_FILES(TINYXML++_FILES
   ticpp.h
   ticpprc.h
@@ -24,4 +24,5 @@
   tinyxml.h
 
+COMPILATION_BEGIN TicppCompilation.cpp
   ticpp.cpp
   tinystr.cpp
@@ -29,9 +30,6 @@
   tinyxmlerror.cpp
   tinyxmlparser.cpp
+COMPILATION_END
 )
-
-# No warnings needed from third party libraries
-REMOVE_COMPILER_FLAGS("-W3 -W4" MSVC)
-ADD_COMPILER_FLAGS("-w")
 
 ORXONOX_ADD_LIBRARY(tinyxml++_orxonox
Index: code/branches/pickup/src/external/tolua/CMakeLists.txt
===================================================================
--- code/branches/pickup/src/external/tolua/CMakeLists.txt	(revision 5815)
+++ code/branches/pickup/src/external/tolua/CMakeLists.txt	(revision 5935)
@@ -20,8 +20,8 @@
 ################### Tolua++ library ###################
 
-SET(TOLUA++_FILES
+SET_SOURCE_FILES(TOLUA++_FILES
   tolua_event.h
   tolua++.h
-
+COMPILATION_BEGIN ToluaCompilation.c
   tolua_event.c
   tolua_is.c
@@ -29,10 +29,6 @@
   tolua_push.c
   tolua_to.c
+COMPILATION_END
 )
-GENERATE_SOURCE_GROUPS(${TOLUA++_FILES})
-
-# No warnings needed from third party libraries
-REMOVE_COMPILER_FLAGS("-W3 -W4" MSVC)
-ADD_COMPILER_FLAGS("-w")
 
 ORXONOX_ADD_LIBRARY(tolua++_orxonox
